// m1Constants.js - Constants definitions to be used with M1 ActiveX SDK
//
// INTEL CONFIDENTIAL
//	Copyright 2004-2006 Intel Corporation All Rights Reserved.  The source code
//	contained or described herein and all documents related to the source code
//	(Material) are owned by Intel Corportion or its suppliers or licensors.
//	Title to the Material remains with Intel Corporation or its suppliers and
//	licensors. The Material may contain trade secrets and 	proprietary and
//	confidential information of Intel Corporation and its 	suppliers and
//	licensors, and is protected by worldwide copyright and trade secret laws
//	and treaty provisions. No part of the Material may be used, copied,
//	reproduced, modified, published, uploaded, posted, transmitted, distributed,
//	or disclosed in any way without Intels prior express written permission. 
//	
//	No license under any patent, copyright, trade secret or other intellectual
//	property right is granted to or conferred upon you by disclosure or delivery
//	of the Materials, either expressly, by implication, inducement, estoppel or
//	otherwise. Any license under such intellectual property rights must be express
//	and approved by Intel in writing.
//
//	Unless otherwise agreed by Intel in writing, you may not remove or alter this
//	notice or any other notice embedded in Materials by Intel or Intels suppliers
//	or licensors in any way.
//

//------------------------------------------------------------------------------
// M1 Error Codes
//------------------------------------------------------------------------------
var MERROR_OK                   = 0x00000000;
var MERROR_FLAG_XMB             = 0x01000000;

var MERROR_PERM                 = MERROR_FLAG_XMB | 0x06;
var MERROR_EXIST                = MERROR_FLAG_XMB | 0x15;
var MERROR_NOTCONN              = MERROR_FLAG_XMB | 0x2d;
var MERROR_BADSTATE             = MERROR_FLAG_XMB | 0x40;

//------------------------------------------------------------------------------
// M1 Server Status
//------------------------------------------------------------------------------
var M1_SERVER_ONLINE            = 0;
var M1_SERVER_OFFLINE           = 1;

//------------------------------------------------------------------------------
// M1 Synchronizer Status
//------------------------------------------------------------------------------
var M1_SYNCH_STATUS_STOPPED     = 0;
var M1_SYNCH_STATUS_IDLE        = 1;
var M1_SYNCH_STATUS_WORKING     = 2;
var M1_SYNCH_STATUS_PAUSED      = 3;

//------------------------------------------------------------------------------
// M1 Content Directory Properties
//------------------------------------------------------------------------------
var M1_PROP_CREATION_DATE        = "ms:creation_date";
var M1_PROP_MODIFIED_DATE        = "ms:modified_date";
